CLAG2Z(3F)

NAME
CLAG2Z - a COMPLEX SINGLE PRECISION matrix, SA, to a COMPLEX DOUBLE PRECISION matrix, A

SYNOPSIS

SUBROUTINE CLAG2Z(
    M, N, SA, LDSA, A, LDA, INFO)

INTEGER
    INFO,LDA,LDSA,M,N

COMPLEX
    SA(LDSA,*)

COMPLEX*16
    A(LDA,*)

PURPOSE
CLAG2Z converts a COMPLEX SINGLE PRECISION matrix, SA, to a COMPLEX DOUBLE PRECISION matrix, A. Note that while it is possible to overflow while converting from double to single, it is not possible to overflow when converting from single to double.
This is a helper routine so there is no argument checking.

ARGUMENTS

M       (input) INTEGER
    The number of lines of the matrix A. M >= 0.

N       (input) INTEGER
    The number of columns of the matrix A. N >= 0.

SA      (output) REAL array, dimension (LDSA,N)
    On exit, the M-by-N coefficient matrix SA.

LDSA    (input) INTEGER
    The leading dimension of the array SA. LDSA >= max(1,M).

A       (input) DOUBLE PRECISION array, dimension (LDA,N)
    On entry, the M-by-N coefficient matrix A.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,M).

INFO    (output) INTEGER
    = 0: successful exit ========= End of CLAG2Z